> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf/round-details-scenarios/tgl-hammer.md).

# TGL Hammer

There is an eventElementType known as **TglHammerThrown**. This is when a team within TGL is looking to increase a hole's point value by one (up to a maximum of three points) by playing a special "Hammer” flag.

**Comp:** TGL only

**Round Started Object**

| Field Name        | Type    | Description                                                                                                                                               |
| ----------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| courseId          | integer | The ID of the course where the event took place                                                                                                           |
| eventElementType  | string  | The type of event, in this case "TglHammerThrown"                                                                                                         |
| groupId           | integer | \[optional] The group ID of the player who did the event                                                                                                  |
| holeNo            | integer | The hole No which the event took place                                                                                                                    |
| holeOrder         | integer | The hole order of the hole in which the event took place (e.g. if a player starts a round on hole 10, this will be 1) – always starts at 1 and ends on 18 |
| roundNo           | integer | The current round number                                                                                                                                  |
| seqNum            | integer | The sequence number of the packet. Always starts at 1, increments in 1                                                                                    |
| teamNo            | integer | The team Number of the player who did the event                                                                                                           |
| timestamp         | date    | The timestamp of the event, in UTC                                                                                                                        |
| timestampReceived | date    | The server time of the moment that this packet has been processed                                                                                         |

**Sample Event Packet:**

```
{
  "courseId": "4435",
  "eventElementType": "TglHammerThrown",
  "accepted": true,
  "groupId": 1001,
  "holeNo": 15,
  "holeOrder": 15,
  "roundNo": 1,
  "seqNum": 446,
  "teamNo": 1,
  "timestamp": "2026-01-03T02:04:28.000Z",
  "timestampReceived": "2026-01-03T02:04:33.480Z"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/golf/round-details-scenarios/tgl-hammer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
